%define module_name Net-OpenSSH-Parallel
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Expect.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/OpenSSH.pm) perl(Scalar/Util.pm) perl(Term/ReadKey.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt2
Summary: Run SSH jobs in parallel
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SALVA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Run this here, that there, etc.

`Net::OpenSSH::Parallel' is an scheduler that can run commands in
parallel in a set of hosts through SSH. It tries to find a compromise
between being simple to use, efficient and covering a good part of the
problem space of parallel process execution via SSH.

Obviously, it is build on top of the Net::OpenSSH manpage!

Common usage of the module is as follows:

=over

=item *

create a `Net::OpenSSH::Parallel' object

=item *

register the hosts where you want to run commands with the
the add_host entry elsewhere in this document method

=item *

queue the actions you want to run (commands, file copy operations,
etc.) using the the push entry elsewhere in this document method.

=item *

call the the run entry elsewhere in this document method and let the parallel scheduler take care of
everything!

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/N*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.14-alt2
- updated summary

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- initial import by package builder

